xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (c) Jan Vornberger 2009
License | BSD3-style (see LICENSE)
Maintainer | jan.vornberger@informatik.uni-oldenburg.de
Stability | unstable
Portability | not portable
Safe Haskell | None
Language | Haskell98

XMonad.Hooks.RestoreMinimized

Contents

- Usage

Description

(Deprecated: Use XMonad.Hooks.Minimize) Lets you restore minimized windows (see XMonad.Layout.Minimize) by selecting them on a taskbar (listens for _NET_ACTIVE_WINDOW and WM_CHANGE_STATE).

Synopsis

- data RestoreMinimized = RestoreMinimized
- restoreMinimizedEventHook :: Event -> X All

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Hooks.RestoreMinimized

    myHandleEventHook = restoreMinimizedEventHook

    main = xmonad def { handleEventHook = myHandleEventHook }

data RestoreMinimized #

Constructors

RestoreMinimized |

Instances

Read RestoreMinimized # |
Methods readsPrec :: Int -> ReadS RestoreMinimized # readList :: ReadS [RestoreMinimized] # readPrec :: ReadPrec RestoreMinimized # readListPrec :: ReadPrec [RestoreMinimized] #
Show RestoreMinimized # |
Methods showsPrec :: Int -> RestoreMinimized -> ShowS # show :: RestoreMinimized -> String # showList :: [RestoreMinimized] -> ShowS #

restoreMinimizedEventHook :: Event -> X All #